咳といいます。

[ruby-dev:14642], [ruby-dev:14648] なんですが、
ruby-1.6.5だと教えていただいた configure の引数ではうまく
いかないようなのです。どうしたらよいでしょう?

[ruby-dev:14642] 咳
 | ruby 1.6.4で
 | 
 |  % ruby -r socket -e 'p TCPServer.new(0).addr'
 | -e:1:in `addr': getnameinfo: ai_family not supported (SocketError)
 | 
 | となってしまう環境がありました。
 | 
 | どうもext/socketのIPv6側のコードがコンパイルされてないみたいです。


[ruby-dev:14648] まつもとさん
 | ./configure に--enable-ipv6 --with-lookup-order-hack=INET と
 | かを指定するとよいのでは?